<?php

//////////////////////////////////////////////////////////////
//===========================================================
// plans_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function dnsplans_theme(){

global $theme, $globals, $kernel, $user, $l, $dnsplans, $error, $done;

softheader($l['<title>']);

echo '
<div class="bg" >
<div class="row mx-auto my-3">
<div class="col-10">
<h4 class="text-dark"><i class="fas fa-clipboard"></i> '.$l['dnsplans_tit'].'</h4>
</div>
<div class="col-2 text-right">
<span class="search_btn"><a href="javascript:showsearch();" class="text-dark"><i class="fas fa-search"></i></a></span>
</div>
</div>
';

error_handle($error);

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[


function Deldns(dnsplid ,ele){

	dnsplid = dnsplid || 0;
	
	// List of ids to delete
	var dns_list = new Array();
	
	if(dnsplid < 1){
		
		if($(ele).parent().prev().find("select").val() != 1){
			showalert("'.$l['no_action'].'","1");
			return false;
		}
		
		$(".ios:checked").each(function() {
			dns_list.push($(this).val());
		});
		
	}else{
		
		dns_list.push(dnsplid);
		
	}
	
	if(dns_list.length < 1){
		showalert("'.$l['nothing_selected'].'","1");
		return false;
	}
	
	showalert("'.$l['del_conf'].'" ,"3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			var finalData = new Object();
			finalData["delete"] = dns_list.join(",");

			//alert(finalData);
			//return false;
			
			$("#progress_bar").show();
			
			$.ajax({
				type: "POST",
				url: "'.$globals['index'].'act=dnsplans&api=json",
				data : finalData,
				dataType : "json",
				success: function(data){
					$("#progress_bar").hide();
					if("done" in data){
						setTimeout(function(){showalert("'.$l['action_completed'].'");
						$("#alert-modal").on("hidden.bs.modal", function (e) {
						location.reload(true);
						});} ,200);
					}
				},
				error: function(data) {
					$("#progress_bar").hide();
					//alert(data.description);
					return false;
				}
			});
		}
	});
	
	
	
	
	return false;
};

// ]]></script>

<div id="showsearch" style="display:'.(optREQ('search') || (!empty($dnsplans) && !empty($globals['showsearch'])) ? "" : "none").';">
<form accept-charset="'.$globals['charset'].'" name="dnsplans" method="GET" action="" class="form-horizontal">
<input type="hidden" name="act" value="dnsplans">
		
<div class="form-group_head">
  <div class="row mx-auto w-100">
    <div class="col-sm-4"></div>
	<div class="col-sm-4"><label>'.$l['sbyplan'].'</label>
	<input type="text" class="form-control" name="planname" id="planname" size="30" value="'.REQval('planname','').'"/></div>
  </div>
  <div class="row mx-auto w-100 my-2">
  	<div class="col-sm-12 text-center"><button type="submit" name="search" class="go_btn mt-2" value="Search"/>'.$l['submit'].'</button></div> 
  </div>
</div>
</form>
</div>';

if($done){
	show_alert($l['saved']);
	//echo '<div class="notice"><b>NOTE : </b>&nbsp; '..'</div><br />';
}
if(empty($dnsplans)){
	optREQ('search') ? show_alert($l['no_res'], "2") : show_alert($l['no_plans'], "2");
	echo '<div class="notice"><b>NOTE : </b>&nbsp; '.(optREQ('search') ? $l['no_res'] : $l['no_plans']).'</div>';
}else{
	echo'<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select class="custom-select" name="dns_task_select" id="dns_task_select">
						<option value="0">---</option>
						<option value="1">'.$l['ms_delete'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="dnsplan_submit" class="go_btn" name="dnsplan_submit" value="'.$l['go'].'" onclick="Deldns(0 ,this); return false;">
                </div>
            </div>
		</div>
	</div>
</div>
<form accept-charset="'.$globals['charset'].'" name="multi_dns" id="multi_dns" method="post" action="" class="form-horizontal">
<div class="w-100 mx-auto sticky">
'.get_num_records($globals['num_res']).'
<table class="table table-hover tablesorter">
<tr>
	<th class="min_width" align="center">'.$l['dnspl_id'].'</th>
	<th align="center">'.$l['dnspl_name'].'</th>
	<th align="center">'.$l['dnspl_server'].'</th>
	<th align="center">'.$l['dnspl_maxdomains'].'</th>
	<th align="center">'.$l['dnspl_maxrecords'].'</th>
	<th align="center">'.$l['dnspl_ttl'].'</th>
	<th colspan="2" width="10" class="min_width">'.$l['manage'].'</th>
	<th class="min_width z-index-1" align="center">
		'.get_checkbox('select_all', '', 'select_all', array('chk_it' => 0), '', 'select_all').'
	</th>
</tr>';
$i = 0;
foreach($dnsplans as $k => $v){
	echo '<tr>
		<td align="center">'.$v['dnsplid'].'</td>
		<td>'.$v['plan_name'].'</td>
		<td>'.$v['dns_server_name'].'</td>
		<td align="center">'.$v['max_domains'].'</td>
		<td align="center">'.$v['max_domain_records'].'</td>
		<td align="center">'.$v['def_ttl'].'</td>
		<td align="center" width="10"><a href="?act=editdnsplan&dnsplid='.$v['dnsplid'].'" title="Edit"><i class="fas fa-edit text-warning"></i></a></td>	
		<td align="center" width="10"><a href="javascript:void(0);" onclick="return Deldns('.$k.');" title="Delete"><i class="fas fa-trash text-danger"></i></a></td>
		<td width="20" valign="middle" align="center">
			'.get_checkbox('dnsplan_list[]', '', '', array('chk_it' => 0), $k).'
		</td>
	</tr>';
$i++;	
}
echo '</table>
</div>
</form>
<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select class="custom-select" name="dns_task_select" id="dns_task_select">
						<option value="0">---</option>
						<option value="1">'.$l['ms_delete'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="dnsplan_submit" class="go_btn" name="dnsplan_submit" value="'.$l['go'].'" onclick="Deldns(0 ,this); return false;">
                </div>
            </div>
		</div>
	</div>
</div>

<div id="progress_bar" style="display:none;">
	<br />
	<center>
		<font id="progress_txt" size="4" color="#222222">'.$l['action_msg'].'</font>
	</center>
	<div class="my-2" align="center">
		<div class="progress w-50">
			<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
			</div>
		</div>
	</div>
	<center>
		'.$l['notify_msg'].'
	</center>
</div>
';

}

echo '<center><a href="'.$globals['ind'].'act=adddnsplan" class="link_btn">'.$l['add_dns_plan'].'</a>
</center></div><br />
';
softfooter();

}
?>