<?php

//////////////////////////////////////////////////////////////
//===========================================================
// firewall_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function firewall_theme(){

global $theme,$globals,$cluster,$user,$l, $getservices,$do,$done,$kernel,$output,$view_rule,$error,$protocol_array, $refined_ports, $refined_ips, $firewall_info, $no_service_found;

if(optGET('ajax')){
	if(!empty($output)){
		foreach ($output as $key => $value){
			
			$port_exist = 0;
			if(!empty($output['port_exist']) || !empty($value['port_exist'])){
				$port_exist = 1;
				unset($value['port_exist']);
			}
			$ip_exist = 0;
			if(!empty($output['ip_exist']) || !empty($value['ip_exist'])){
				$ip_exist = 1;
				unset($value['ip_exist']);
			}

			echo '<pre>'.print_r($value, 1).'</pre>';
			
			if(!empty($port_exist)){
				echo '<pre><font color="RED">'.$l['port_already_exist'].'</font></pre>';
			}
			if(!empty($ip_exist)){
				echo '<pre><font color="RED">'.$l['ip_already_exist'].'</font></pre>';
			}			
		}

	}
	
	if(isset($error)){
		error_handle($error, 100, false,false, 1);
	}
	return;
}

softheader($l['<title>']);

// Is it offline ?
$hypervisor_status = $cluster->statewise($globals['server']);
if($hypervisor_status == 0 || $hypervisor_status == 2){
	show_alert($l['server_status_'.$hypervisor_status] ,"1");
	echo '<div class="e_notice"><b>'.$l['note'].' : </b>&nbsp; '.$l['server_status_'.$hypervisor_status].'</div>';
}else{
	 $span_id = array('start','stop','restart','status', 'testing_interval' ,'view','search','version','block','setpolicy','allow','ip_block','ip_allow', 'temp_ip_allow', 'temp_ip_block', 'change_test_mode');	
	echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[
	function ipvalidation(ip){	
	
	  if ((ip.length==0) || (ip == null)) {
		  return false;	
	  }
	  if(!ip.match(/^(([1-9]?[0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]).){3}([1-9]?[0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$/ ) || ip=="0"){
		  return false;	
	  }
	  return true;
	};

	function delete_rule(id){
		$_("view_td").innerHTML = "<button type=\"button\" class=\"close\" aria-label=\"Close\"><span aria-hidden=\"true\">×</span></button>";
		$(".close").each(function(){
			$(this).click(function(){
				$_("view_td").style.display="none";
			});
		});
		AJAX("'.$globals['index'].'act=firewall&ajax=true&delete_rule="+id, "firewall_button(re,\"view\")")
	};
	
	function portvalidation(port){
		if ((port.length==0) || (port==null)){
			return false;	
		}
		
		return true;
	};
	$(document).ready(function(){
	';
	$event = array('start' => $l['onfirewall'], 
					'restart' => $l['restartfirewall'],
					'stop' => $l['stopfirewall'],
					'status' => $l['statusfirewall'],
					'testing_interval' => $l['testing_interval'],
					'change_test_mode' => $l['change_test_mode'],
					'setpolicy' => $l['policyfirewall'],
					'version' => $l['versionfirewall'],
					'view' => $l['viewfirewall'],
					'block' => $l['blockfirewall'],
					'allow' => $l['allowfirewall'],
					'ip_block' => $l['ip_blockfirewall'],
					'ip_allow' => $l['ip_allowfirewall'],
					'temp_ip_block' => $l['temp_ip_blockfirewall'],
					'temp_ip_allow' => $l['temp_ip_allowfirewall'],
					'search' => $l['searchip']
				);
	
	foreach($event as $id => $title){
		$ele = '$(\'a[title="'.$title.'"]\').click(function(){';
		if($id == 'change_test_mode'){
			$ele = '$(\'#change_test_mode\').on("change", function(){';
		}
		echo $ele.'
			var ele = $("#'.$id.'_td").parent().prev().find("a");
			if(ele.find(".loader").length <= 0){
				ele.append(\'<div class="loader ml-2"></div>\');
			}
		});';
	}			
	echo'
	});
	function firewall_onclick(id){
		if(id=="'.$l['onfirewall'].'"){																		//enable firewall
			AJAX("'.$globals['index'].'act=firewall&ajax=true&start=true", "firewall_button(re,\"start\")")	
		}else if(id=="'.$l['restartfirewall'].'"){															// restart firewall
			AJAX("'.$globals['index'].'act=firewall&ajax=true&restart=true", "firewall_button(re,\"restart\")")
		}else if(id=="'.$l['stopfirewall'].'"){																//stop firewall
			AJAX("'.$globals['index'].'act=firewall&ajax=true&stop=true", "firewall_button(re,\"stop\")")
		}else if(id=="'.$l['statusfirewall'].'"){   														// status firewall
			AJAX("'.$globals['index'].'act=firewall&ajax=true&status=true", "firewall_button(re,\"status\")")	
		}else if(id=="'.$l['testing_interval'].'"){
			var testing_interval = $_("testing_interval").value;   														
			AJAX("'.$globals['index'].'act=firewall&ajax=true&testing_interval="+testing_interval, "firewall_button(re,\"testing_interval\")")	
		}else if(id=="'.$l['change_test_mode'].'"){   	
			var mode = ($("#change_test_mode").prop("checked") == true ? "enable" : "disable")													
			AJAX("'.$globals['index'].'act=firewall&ajax=true&firewall_testing="+mode, "firewall_button(re,\"change_test_mode\")")	
		}else if(id=="'.$l['policyfirewall'].'"){															//setpolicy firewall
			AJAX("'.$globals['index'].'act=firewall&ajax=true&setpolicy=true", "firewall_button(re,\"setpolicy\")")
		}else if(id=="'.$l['versionfirewall'].'"){   															// version firewall
			AJAX("'.$globals['index'].'act=firewall&ajax=true&version=true", "firewall_button(re,\"version\")")
		}else if(id=="'.$l['viewfirewall'].'"){														//view firewall
			AJAX("'.$globals['index'].'act=firewall&ajax=true&view=true", "firewall_button(re,\"view\")")
		}else if(id=="'.$l['blockfirewall'].'"){				
			
			var port=$_("txtblockport").value;

			if(port=="4082" || port=="4083" || port=="4084" || port=="4085" ){		// Access is denied to block port
				showalert("'.$l['port_default'].'" ,"1")			
				return false;
			}
			
			AJAX("'.$globals['index'].'act=firewall&ajax=true&block=true&port="+port, "firewall_button(re,\"block\")")
			
		}else if(id=="'.$l['allowfirewall'].'"){													//allow portfirewall
			var port=$_("txtallowport").value;

			AJAX("'.$globals['index'].'act=firewall&ajax=true&allow=true&port="+port, "firewall_button(re,\"allow\")")

		}else if(id=="'.$l['ip_blockfirewall'].'"){													//ipblock firewall
			var ip = $_("txtblockip").value;
			AJAX("'.$globals['index'].'act=firewall&ajax=true&ip_block=true&ip="+ip, "firewall_button(re,\"ip_block\")");

		}else if(id=="'.$l['ip_allowfirewall'].'"){   												// ipallow firewall
			var ip = $_("txtallowip").value;
			AJAX("'.$globals['index'].'act=firewall&ajax=true&ip_allow=true&ip="+ip, "firewall_button(re,\"ip_allow\", \"'.$l['ip_allowfirewall'].'\")");

		}else if(id=="'.$l['temp_ip_blockfirewall'].'"){													//ipblock firewall
			var ip = $_("temp_txtblockip").value;
			var ip_protocol = $_("txtblockip_protocol").value;
			var ip_port = $_("txtblockip_port").value;
			if(ip_port=="4081" || ip_port=="4082" || ip_port=="4083" || ip_port=="4084" || ip_port=="4085" ){		// Access is denied to block port
				showalert("'.$l['port_default'].'" ,"1")
				return false;
			}

			if(!empty(ip_port) && !portvalidation(ip_port)){
				showalert("'.$l['port_error'].'" ,"1");
				return false;
			}

			AJAX("'.$globals['index'].'act=firewall&ajax=true&ip_block=true&ip="+ip+"&ip_protocol="+ip_protocol+"&ip_port="+ip_port+"&is_temp=1", "firewall_button(re,\"temp_ip_block\")");

		}else if(id=="'.$l['temp_ip_allowfirewall'].'"){   												// ipallow firewall
			var ip = $_("temp_txtallowip").value;
			var ip_protocol = $_("txtallowip_protocol").value;
			var ip_port = $_("txtallowip_port").value;

			if(!empty(ip_port) && !portvalidation(ip_port)){
				showalert("'.$l['port_error'].'" ,"1");
				return false;
			}

			AJAX("'.$globals['index'].'act=firewall&ajax=true&ip_allow=true&ip="+ip+"&ip_protocol="+ip_protocol+"&ip_port="+ip_port+"&is_temp=1", "firewall_button(re,\"temp_ip_allow\")");

		}else if(id=="'.$l['searchip'].'"){ 												// search  firewall
			var ip = $_("txtsearchip").value;
			if(ipvalidation(ip)){
				AJAX("'.$globals['index'].'act=firewall&ajax=true&search=true&ip="+ip, "firewall_button(re,\"search\")")
				$_("txtsearchip").value="";
			}else{
				$_("search_td").style.display="none";
				$_("txtsearchip").focus();
				var ele = $("#search_td").parent().prev().find("a");
				ele.find("div").remove()
				showalert("'.$l['ip_error'].'" ,"1");			
				return false;	
			}
		}			
	}
	
	function firewall_button(re,opt){';
		foreach($span_id AS $k => $v){
			echo'
			if(opt=="'.$v.'"){
				var ele = $("#'.$v.'_td").parent().prev().find("a");
				ele.find("div").remove()
				$_("'.$v.'_td").innerHTML="<button type=\"button\" class=\"close\" aria-label=\"Close\"><span aria-hidden=\"true\">×</span></button>"+re;
				$_("'.$v.'_td").style.display="block";						
			}else{
				$_("'.$v.'_td").style.display="none";														
			}
			$("#'.$v.'_td pre").addClass("mb-0");
			$(".close").each(function(){
				$(this).click(function(){
					$_("'.$v.'_td").style.display="none";
				});
			});';
		}	// foreach close.
echo '}
// ]]></script>';

echo '
<style>
.firewall_protocol{
width:60px !important;
}
</style>
<div class="bg firewall">
<div class="row w-100 mx-auto my-2">
	<div class="col-12">
		<h4 class="text-dark"><i class="fas fa-shield-alt"></i> '.$l['<title>'].'</h4>
	</div>
</div>
';
echo '<div class="notice h6"><b>'.$l['note'].' : </b>&nbsp; '.$l['firewall_warning'].'</div>';
echo '<div class="notice h6"><b>'.$l['note'].' : </b>&nbsp; '.$l['firewall_warn'].'</div>';

if(empty($firewall_info['firewall_enable'])){
	echo '<div class="e_notice h6"><b>'.$l['note'].' : </b>&nbsp; '.$l['firewall_disabled'].'</div>';
}

if(!empty($firewall_info['firewall_enable']) && $firewall_info['test_option'] == 'enable'){
	echo '<div class="notice h6"><b>'.$l['note'].' : </b>&nbsp; '.$l['testing_enable_warn'].'</div>';
}

if(!empty($done)){
	show_alert($l['done']);
}

echo '<form accept-charset="'.$globals['charset'].'" id="firewallform" name ="firewallform" method="post" action="" class="form-horizontal">
	  		
		<div class="row w-100 mx-auto mb-2">
			<div class="col-sm-2 p-0 h6">
				<a class="d-flex align-items-center"><i class="fas fa-vial mr-2 ml-3"></i>'.$l['change_test_mode'].'</a>
			</div>
			<div class="col-sm-10">
				<div class="custom-control custom-switch ml-3 mb-2" title="'.$l['change_test_mode'].'">
					<input type="checkbox" class="custom-control-input" id="change_test_mode" title="'.$l['change_test_mode'].'" onchange="firewall_onclick(this.title);" '.(!empty($firewall_info['test_option'] == 'enable') ? 'checked' : '').'>
					<label class="custom-control-label m-0" for="change_test_mode"></label>  
				</div>
				<span class="alert alert-primary fade in alert-dismissible show mb-1" id="change_test_mode_td" style="display: none"></span >	
			</div>
		</div>
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0">
				<a href="javascript:void(0)" name="onfirewall" title="'.$l['onfirewall'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title);">
				<i class="fas fa-toggle-on"></i>&nbsp;&nbsp;&nbsp;'.$l['onfirewall'].'</a>
			</div>
			<div class="col-sm-10" valign="top">
				<label class="control-label">'.$l['onfirewall_detail'].'</label><br/><br/>
				<span class="alert alert-primary fade in alert-dismissible show mb-1" id="start_td" style="display: none"></span >	  
			</div>	
		</div>		
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0">
				<a href="javascript:void(0)" name="restartfirewall" title="'.$l['restartfirewall'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title);">
				<i class="fas fa-sync-alt"></i>&nbsp;&nbsp;&nbsp;'.$l['restartfirewall'].'</a>
			</div>
			<div class="col-sm-10">
				<label class="control-label">'.$l['restartfirewall_detail'].'</label><br/><br/>
				<span class="alert alert-primary fade in alert-dismissible show mb-1" id="restart_td" style="display: none"></span >
			</div>	
		</div>	
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0">
				<a href="javascript:void(0)" name="stopfirewall" title="'.$l['stopfirewall'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title);" >
				<i class="fas fa-toggle-off"></i>&nbsp;&nbsp;&nbsp;'.$l['stopfirewall'].'</a>
			</div>
			<div class="col-sm-10">
				<label class="control-label">'.$l['stopfirewall_detail'].'</label><br/><br/>
				<span class="alert alert-primary fade in alert-dismissible show mb-1" id="stop_td" style="display: none"></span >
			</div>
		</div>
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0">
				<a href="javascript:void(0)" name="statusfirewall" title="'.$l['statusfirewall'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title)">
				<i class="fas fa-shield-alt"></i>&nbsp;&nbsp;&nbsp;'.$l['statusfirewall'].'
				</a>
			</div>
			<div class="col-sm-10">
				<label class="control-label">'.$l['statusfirewall_detail'].'</label ><br/><br/>
				<span class="alert alert-primary fade in alert-dismissible show mb-1" id="status_td" style="display: none">
				</span >
			</div>
		</div>
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0">
				<a href="javascript:void(0)" name="testing_interval" title="'.$l['testing_interval'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title)">
				<i class="fas fa-clock"></i>&nbsp;&nbsp;&nbsp;'.$l['testing_interval'].'
				</a>
			</div>
			<div class="col-sm-10">
				<div class="row w-100 mx-auto mb-2">
					<div class="col-sm-12 p-0">
						<label class="control-label">'.$l['testing_interval_detail'].'</label ><br/>
					</div>
					<div class="col-sm-12 p-0 d-flex align-items-center mt-2">
						<label class="mt-0">'.$l['testing_interval'].' '.$l['for'].'</label > <input type="text" id="testing_interval" class="form-control" min="1" name="testing_interval" style="width : 50px;" value="'.(!empty($firewall_info['mins']) ? $firewall_info['mins'] : 0).'"> <label class="mt-0">'.$l['minutes'].'</label >
					</div>
				</div>
				<span class="alert alert-primary fade in alert-dismissible show mb-1" id="testing_interval_td" style="display: none">
				</span >
			</div>
		</div>
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0" width="15%" valign="top" >
				<a href="javascript:void(0)" name="setfirewallpolicy" title="'.$l['policyfirewall'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title);">
				<i class="fas fa-redo"></i>&nbsp;&nbsp;&nbsp;'.$l['policyfirewall'].'</a>
			</div>
			<div class="col-sm-10" valign="top">
				<label class="control-label"> '.$l['policyfirewall_detail'].'</label><br/><br/>
				<span class="alert alert-primary fade in alert-dismissible show mb-1" id="setpolicy_td" style="display: none"></span >
			</div>
		</div>
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0" width="15%" valign="top">
				<a href="javascript:void(0)" name="versionfirewall" title="'.$l['versionfirewall'].'"
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title);">
				<i class="fas fa-info-circle"></i>&nbsp;&nbsp;&nbsp;'.$l['versionfirewall'].'</a>
			</div>
			<div class="col-sm-10" valign="top"> 
				<label class="control-label">'.$l['versionfirewall_detail'].'</label><br/><br/>
				<span class="alert alert-info fade in alert-dismissible show mb-1" id="version_td" style="display: none"></span >
			</div>
		</div>
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0">
				<a href="javascript:void(0)" name="viewfirewall" title="'.$l['viewfirewall'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title);">
				<i class="fas fa-list-alt"></i>&nbsp;&nbsp;&nbsp;'.$l['viewfirewall'].'</a>
			</div>
			<div class="col-sm-10" valign="top">	 
				<label class="control-label">'.$l['viewfirewall_detail'].'</label><br/><br/>
				<span class="alert alert-primary fade in alert-dismissible show mb-1" id="view_td" style="display: none"></span >				
			</div>
		</div>		
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0">
				<a href="javascript:void(0)" name="blockfirewall" title="'.$l['blockfirewall'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title);">
				<i class="fas fa-ban"></i>&nbsp;&nbsp;&nbsp;'.$l['blockfirewall'].'</a>
			</div>
			<div class="col-sm-10">
				<div class="d-flex align-items-center">
					<label class="mt-0">'.$l['blockfirewall_detail_1'].'</label>
					<input type="text" placeholder="Eg: 2000,300-305,600" id="txtblockport" value="'.implode(',',$refined_ports['DROP']).'" class="form-control alert alert-danger m-0 ml-3" name="txtblockport" style="width : 380px;"><label class="mt-0"> '.$l['blockfirewall_detail'].'</label>
				</div>
				
				<span class="mt-3 alert alert-primary fade in alert-dismissible show mb-1" id="block_td" style="display: none"></span >
			</div>
		</div>		
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0">
				<a href="javascript:void(0)" name="allowfirewall" title="'.$l['allowfirewall'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title);">
				<i class="fas fa-flag"></i>&nbsp;&nbsp;&nbsp;'.$l['allowfirewall'].'</a>
			</div>
			<div class="col-sm-10">
				<div class="d-flex align-items-center">
					<label class="mt-0">'.$l['allowfirewall_detail_1'].'</label>
					<input type="text" placeholder="Eg: 2000,300-305,600" id="txtallowport" value="'.implode(',',$refined_ports['ACCEPT']).'" class="form-control alert alert-success m-0 ml-3" name="txtallowport" style="width : 380px;"><label class="mt-0"> '.$l['allowfirewall_detail'].'</label>
				</div>
				
				<span class="mt-3 alert alert-primary fade in alert-dismissible show mb-1" id="allow_td" style="display: none"></span >
			</div>
		</div>		
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0">
				<a href="javascript:void(0)" name="ip_blockfirewall" title="'.$l['ip_blockfirewall'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title);">
				<i class="fas fa-ban"></i>&nbsp;&nbsp;&nbsp;'.$l['ip_blockfirewall'].'</a>
			</div>
			<div class="col-sm-10">
				<div class="d-flex align-items-center">
					<label class="mt-0">'.$l['ip_blockfirewall_detail'].'</label>
					<input type="text" id="txtblockip" value="'.implode(',',$refined_ips['DROP']).'" class="form-control alert alert-danger m-0 ml-3" name="txtblockip" style="width : 150px;">
				</div>
				
				<span class="mt-3 alert alert-primary fade in alert-dismissible show mb-1" id="ip_block_td" style="display: none"></span >
			</div>
		</div>		
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0">
				<a href="javascript:void(0)" name="ip_allowfirewall" title="'.$l['ip_allowfirewall'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title);">
				<i class="fas fa-flag"></i>&nbsp;&nbsp;&nbsp;'.$l['ip_allowfirewall'].'</a>
			</div>
			<div class="col-sm-10">
				<div class="d-flex align-items-center">
					<label class="mt-0">'.$l['ip_allowfirewall_detail'].'</label>
					<input type="text" id="txtallowip" value="'.implode(',',$refined_ips['ACCEPT']).'" class="form-control alert alert-success m-0 ml-3" name="txtallowip" style="width : 150px;">
				</div>
				
				<span class="mt-3 alert alert-primary fade in alert-dismissible show mb-1" id="ip_allow_td" style="display: none"></span >
			</div>
		</div>



		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0">
				<a href="javascript:void(0)" name="temp_ip_blockfirewall" title="'.$l['temp_ip_blockfirewall'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title);">
				<i class="fas fa-ban"></i>&nbsp;&nbsp;&nbsp;'.$l['temp_ip_blockfirewall'].'</a>
			</div>
			<div class="col-sm-10">
				<div class="d-flex align-items-center">
					<label class="mt-0">'.$l['ip_blockfirewall_detail'].'</label>
					<input type="text" id="temp_txtblockip" class="form-control alert alert-danger m-0 ml-3" name="temp_txtblockip" style="width : 150px;"><label class="mt-0"> '.$l['for'].' </label><select id="txtblockip_protocol" name="txtblockip_protocol" class="custom-select firewall_protocol ml-2">';
					foreach($protocol_array as $k => $v){
						echo '<option value="'.$k.'">'.$v.'</option>';
					}
					echo'</select><label class="mt-0"> '.$l['protocol_and'].' </label><input type="text" id="txtblockip_port" placeholder="('.$l['optional'].') Eg: 2000,300-305,600" class="form-control" name="txtblockip_port" style="width : 250px;"><label class="mt-0"> '.$l['port'].' '.$l['blockfirewall_detail'].'</label>
				</div>
				<span class="mt-3 alert alert-primary fade in alert-dismissible show mb-1" id="temp_ip_block_td" style="display: none"></span >
			</div>
		</div>		
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0">
				<a href="javascript:void(0)" name="temp_ip_allowfirewall" title="'.$l['temp_ip_allowfirewall'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title);">
				<i class="fas fa-flag"></i>&nbsp;&nbsp;&nbsp;'.$l['temp_ip_allowfirewall'].'</a>
			</div>
			<div class="col-sm-10">
				<div class="d-flex align-items-center">
					<label class="mt-0">'.$l['ip_allowfirewall_detail'].'</label>
					<input type="text" id="temp_txtallowip" class="form-control alert alert-success m-0 ml-3" name="temp_txtallowip" style="width : 150px;"><label class="mt-0"> '.$l['for'].' </label><select id="txtallowip_protocol" name="txtallowip_protocol" class="custom-select firewall_protocol ml-2">';
					foreach($protocol_array as $k => $v){
						echo '<option value="'.$k.'">'.$v.'</option>';
					}
					echo'</select><label class="mt-0"> '.$l['protocol_and'].' </label><input type="text" id="txtallowip_port" placeholder="('.$l['optional'].') Eg: 2000,300-305,600" class="form-control" name="txtallowip_port" style="width : 250px;"><label class="mt-0"> '.$l['port'].' '.$l['allowfirewall_detail'].'</label>
				</div>
				
				<span class="mt-3 alert alert-primary fade in alert-dismissible show mb-1" id="temp_ip_allow_td" style="display: none"></span >
			</div>
		</div>
		<div class="row w-100 mx-auto">
			<div class="col-sm-2 p-0">
				<a href="javascript:void(0)" name="searchip" title="'.$l['searchip'].'" 
				class="btn cursor-pointer d-flex align-items-center" onclick="firewall_onclick(this.title);">
				<i class="fas fa-search"></i>&nbsp;&nbsp;&nbsp;'.$l['searchip'].'</a>
			</div>
			<div class="col-sm-10" valign="top">
				 <label class="control-label">'.$l['searchip_detail'].' </label>
				 <input type="text" id="txtsearchip" class="form-control" name="txtsearchip" style="width : 150px;">
				 <br/><br/>
				<span class="alert alert-primary fade in alert-dismissible show mb-1" id="search_td" style="display: none"></span >
			</div>
		</div>
	
	</form> ';
}
 
 echo '</div>';
softfooter();

}

?>
