<?php

//////////////////////////////////////////////////////////////
//===========================================================
// serverinfo_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function orphaneddisks_theme(){

global $theme, $globals, $cluster, $user, $l , $error, $orphaned_disks, $storages;

softheader($l['<title>']);

echo '<div class="bg">
<div class="row my-3 mx-auto">
	<div class="col-10">
		<h4 class="text-dark"><i class="fas fa-hdd"></i> '.$l['heading'].'</h4>
	</div>
	<div class="col-2 text-right">
		<span class="search_btn"><a href="javascript:showsearch();" class="text-dark"><i class="fas fa-search"></i></a></span>
	</div>
</div>';

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[

function del_disk(disk, ele){
	
	var disk_list = new Array();
	
	if(!disk) {
		if($(ele).parent().prev().find("select").val() != "delete"){
			showalert("'.$l['no_action'].'","1");
			return false;
		}
		
		$(".ios:checked").each(function() {
			disk_list.push($(this).val());
		});
	} else {
		disk_list.push(disk);
	}
	
	if(disk_list.length < 1){
		showalert("'.$l['nothing_selected'].'","1");
		return false;
	}

	var finalData = new Object();
	finalData["delete"] = disk_list.join(",");
	
	showalert("'.$l['del_conf'].'" ,"3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			$("#progress_bar").show();
	
			$.ajax({
				type: "POST",
				url: "'.$globals['index'].'act=orphaneddisks&api=json",
				data : finalData,
				dataType : "json",
				success: function(data){
					$("#progress_bar").hide();
					if("error" in data){
						setTimeout(function(){showalert(data["error"],"1");
						$("#alert-modal").on("hidden.bs.modal", function (e) {
						location.reload(true);
						});} ,200);
					}else{
						setTimeout(function(){
							showalert("'.$l['action_completed'].'")
							$("#alert-modal").on("hidden.bs.modal", function (e) {
								location.reload(true);
							});
						} ,200);
					}
				},
				error: function(data) {
					$("#progress_bar").hide();
					return false;
				}
			});
		}
	});
	
	return false;
};

// ]]></script>';

$st_types = array_column($storages, 'type');
$st_types = array_unique($st_types);

$_st_types = REQval('st_type');
if(empty($orphaned_disks)){
	optREQ('search') ? show_alert($l['no_res'], "2") : "";
}
echo '<div id="showsearch" style="display:'.(optREQ('search') || (!empty($vs) && !empty($globals['showsearch'])) ? "" : "none").';">
<form accept-charset="'.$globals ['charset'].'" name="orphan" method="get" action="" id="orphanform" class="form-horizontal">
<input type="hidden" name="act" value="orphaneddisks">
<div class="form-group_head">
	<div class="row mx-auto w-100">
		<div class="col-sm-4">
			<label>'.$l['st_id'].'</label>
			<input type="text" class="form-control" name="st_id" id="st_id" size="30" value="'.REQval('st_id', '').'" />
		</div>
		
		<div class="col-sm-4">
			<label>'.$l['st_type'].'</label>
	    	<select name="st_type" id="st_type" class="custom-select">
				<option value="0" '.(empty($_st_types) ? 'selected="selected"' : '').'>---</option>';
				
				foreach($st_types as $st_type) {	
					echo '<option value="'.$st_type.'" '.REQselect('st_type', $st_type).'>'.storage_type_text($st_type).'</option>';
				}
				
			echo '</select>
		</div>
		<div class="col-sm-4">
			<label>'.$l['disk_path'].'</label>	
			<input type="text" class="form-control" name="disk_path" id="disk_path" size="30" value="'.REQval('disk_path', '').'" />
		</div>
  	</div>
  	<div class="row mx-auto w-100 my-2">
		<div class="col-sm-12 text-center"><button type="submit" name="search" class="go_btn mt-2" value="Search"/>'.$l['submit'].'</button></div>
	</div>
</div>
</form>
</div>
';
if(!empty($orphaned_disks)){
	echo'<div class="row mx-auto w-100 mt-3">
		<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
			page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
		echo'
		</div>
		<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
			<div class="bottom-menu float-right w-100">
				<div class="row my-auto">
					<div class="p-0">
						<label>'.$l['with_selected'].'</label>
					</div>
					<div class="col p-0">
						<select name="disk_task_select" id="disk_task_select" class="custom-select">
							<option value="0">---</option>
							<option value="delete">'.$l['ms_delete'].'</option>
						</select>
					</div>
					<div class="pl-2">
						<input type="button" value="'.$l['go'].'" onclick="del_disk(\'\',this)" class="go_btn"/>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="w-100 mx-auto sticky">
	'.get_num_records(count($orphaned_disks)).'
	<table width="100%" class="table table-hover tablesorter"><tbody>
	<tr>
		<th><span>' . $l['disk_path'] . '</span></th>
		<th><span>' . $l['disk_size'] . '</span></th>
		<th><span>' . $l['st_id'] . '</span></th>
		<th><span>' . $l['st_type'] . '</span></th>
		<th align="center"><span>' . $l['action'] . '</span></th>
		<th class="z-index-1 min_width">
			'.get_checkbox('select_all', '', 'select_all', array('chk_it' => 0), '', 'select_all').'
		</th>
	</tr>';
	foreach($orphaned_disks as $o) {
		echo '<tr>
			<td>
				' . $o['path'] . '
			</td>
			<td align="center">
				' . round($o['size'] / 1024 / 1024 / 1024, 2) . ' GB
			</td>
			<td align="center">
				' . $o['st_id'] . '
			</td>
			<td align="center">
				' . storage_type_text($storages[$o['st_id']]['type']) . '
			</td>
			<td align="center">
				<a href="#" onclick="del_disk(\''.$o['path'].'\', \'\'); return false;"><i class="fas fa-trash text-danger"></i></a>&nbsp;
			</td>
			<td align="center">
				'.get_checkbox('disk_list[]', '', '', array('chk_it' => 0), $o['path']).'
			</td>
		</tr>';
	}
	echo '</tbody></table>
	</div>';
	echo'<div class="row mx-auto w-100 mt-3">
		<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
			page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
		echo'
		</div>
		<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
			<div class="bottom-menu float-right w-100">
				<div class="row my-auto">
					<div class="p-0">
						<label>'.$l['with_selected'].'</label>
					</div>
					<div class="col p-0">
						<select name="disk_task_select" id="disk_task_select" class="custom-select">
							<option value="0">---</option>
							<option value="delete">'.$l['ms_delete'].'</option>
						</select>
					</div>
					<div class="pl-2">
						<input type="button" value="'.$l['go'].'" onclick="del_disk(\'\',this)" class="go_btn"/>
					</div>
				</div>
			</div>
		</div>
	</div>';
}else{
	show_alert($l['no_orphaned'], '2');
	echo'<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '.$l['no_orphaned'].'</div>';
}
echo'
</div>';

echo '<div id="progress_bar" style="display:none;">
	<br />
	<center>
		<font id="progress_txt" size="4" color="#222222">'.$l['action_msg'].'</font>
	</center>
	<div class="my-2" align="center">
		<div class="progress w-50">
			<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
			</div>
		</div>
	</div>
	<center>
		'.$l['notify_msg'].'
	</center>
</div><br>';

softfooter();
	
}

?>