<?php

//////////////////////////////////////////////////////////////
//===========================================================
// Rebuild_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.7
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       May 2011
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function rebuild_theme(){

global $theme, $globals, $kernel, $user, $l, $error, $cluster, $servers, $oslist, $done, $vpses, $ostemplates;
global $servers, $isos, $virt, $hvm, $newvs, $vps, $vnc;
global $flag_rebuildvps, $actid, $done_data, $recipes;

if($flag_rebuildvps){
	echo $actid;
	$flag_rebuildvps = 0;
	
	return false;
}

if(optGET('done')){
		
		$done = $done_data['newvs']['vpsid'];
		$newvs = $done_data['newvs'];
		$vpsname = $done_data['vps']['vps_name'];
		$vnc = $done_data['vnc'];
		$ips = $done_data['vps']['ips'];
		$ipsv6 = $done_data['vps']['ips6'];
		$ipsv6_subnet = $done_data['vps']['ips6_subnet'];
		
		show_alert($l['done']);
	echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '.$l['done'].'</div>';
	echo '<div class="card mt-3">
	<div class="row mx-auto w-100 my-1">
		<div class="col-sm-12 p-2">
			<div class="row mx-auto w-100">
				<div class="col-sm-4">
					<span class="fhead">'.$l['newvs_vpsid'].'</span>
				</div>
				<div class="col-sm-8">'.$done.'</div>
			</div>
		</div>
	</div>
	<div class="row mx-auto w-100 my-1">
		<div class="col-sm-12 p-2">
			<div class="row mx-auto w-100">
				<div class="col-sm-4">
					<span class="fhead">'.$l['newvs_vps_name'].'</span>
				</div>
				<div class="col-sm-8">'.$vpsname.'</div>
			</div>
		</div>
	</div>
	<div class="row mx-auto w-100 my-1">
		<div class="col-sm-12 p-2">
			<div class="row mx-auto w-100">
				<div class="col-sm-4">
					<span class="fhead">'.$l['newvs_rootpass'].'</span>
				</div>
				<div class="col-sm-8" id="newvs_rootpass">'.$newvs['pass'].'</div>
			</div>
		</div>
	</div>';

	if(!empty($vnc)){

		echo '<div class="row mx-auto w-100 my-1">
			<div class="col-sm-12 p-2">
				<div class="row mx-auto w-100">
					<div class="col-sm-4">
						<span class="fhead">'.$l['vnc_details'].'</span>
					</div>
					<div class="col-sm-8">'.$vnc['ip'].':'.$vnc['port'].'</div>
				</div>
			</div>
		</div>';
	
		if(!empty($vnc['password'])){
			echo '
			<div class="row mx-auto w-100 my-1">
				<div class="col-sm-12 p-2">
					<div class="row mx-auto w-100">
						<div class="col-sm-4">
							<span class="fhead">'.$l['vnc_pass'].'</span>
						</div>
						<div class="col-sm-8">'.$vnc['password'].'</div>
					</div>
				</div>
			</div>';
		}
	}

	echo '
	<div class="row mx-auto w-100 my-1">
		<div class="col-sm-12 p-2">
			<div class="row mx-auto w-100">
				<div class="col-sm-4">
					<span class="fhead">'.$l['newvs_ips'].'</span>
				</div>
				<div class="col-sm-8">'.implode(', ', $ips).'</div>
			</div>
		</div>
	</div>';

	if(!empty($ipsv6)){

		echo '<div class="row mx-auto w-100 my-1">
			<div class="col-sm-12 p-2">
				<div class="row mx-auto w-100">
					<div class="col-sm-4">
						<span class="fhead">'.$l['newvs_ips6'].'</span>
					</div>
					<div class="col-sm-8">'.implode(', ', $ipsv6).'</div>
				</div>
			</div>
		</div>';
	}

	if(!empty($ipsv6_subnet)){
		echo '
		<div class="row mx-auto w-100 my-1">
			<div class="col-sm-12 p-2">
				<div class="row mx-auto w-100">
					<div class="col-sm-4">
						<span class="fhead">'.$l['newvs_ips6_subnet'].'</span>
					</div>
					<div class="col-sm-8">'.implode(', ', $ipsv6_subnet).'</div>
				</div>
			</div>
		</div>';
	}

	echo '</div></div>';
		return true;
}
	
softheader($l['<title>']);

echo '

<div class="bg">
<div class="row my-3 mx-auto">
	<div class="col-12">
		<h4 class="text-dark"><i class="fas fa-server"></i> '.$l['add_vs'].'</h4>
	</div>
</div>';

error_handle($error);

// Is it offline ?
$hypervisor_status = $cluster->statewise($globals['server']);
if($hypervisor_status == 0 || $hypervisor_status == 2){
	show_alert($l['server_status_'.$hypervisor_status], "1");

}else{

	if(!empty($done)){
		show_alert($l['done']);
	
		echo '<div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 p-3">
				<div class="row mx-auto w-100">
					<div class="col-sm-4">
						<span class="fhead">'.$l['newvs_vpsid'].'</span>
					</div>
					<div class="col-sm-4">'.$done.'</div>
				</div>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 p-3">
				<div class="row mx-auto w-100">
					<div class="col-sm-4">
						<span class="fhead">'.$l['newvs_vps_name'].'</span>
					</div>
					<div class="col-sm-4">'.$vps['vps_name'].'</div>
				</div>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 p-3">
				<div class="row mx-auto w-100">
					<div class="col-sm-4">
						<span class="fhead">'.$l['newvs_rootpass'].'</span>
					</div>
					<div class="col-sm-4">'.$vps['pass'].'</div>
				</div>
			</div>
		</div>';
	
		if(!empty($vnc)){
	
			echo '<div class="row mx-auto w-100 my-3">
				<div class="col-sm-12 p-3">
					<div class="row mx-auto w-100">
						<div class="col-sm-4">
							<span class="fhead">'.$l['vnc_details'].'</span>
						</div>
						<div class="col-sm-4">'.$vnc['ip'].':'.$vnc['port'].'</div>
					</div>
				</div>
			</div>';
		
			if(!empty($vnc['password'])){
				echo '
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12 p-3">
						<div class="row mx-auto w-100">
							<div class="col-sm-4">
								<span class="fhead">'.$l['vnc_pass'].'</span>
							</div>
							<div class="col-sm-4">'.$vnc['password'].'</div>
						</div>
					</div>
				</div>';
			}
		}
	
		echo '
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 p-3">
				<div class="row mx-auto w-100">
					<div class="col-sm-4">
						<span class="fhead">'.$l['newvs_ips'].'</span>
					</div>
					<div class="col-sm-4">'.implode(', ', $vps['ips']).'</div>
				</div>
			</div>
		</div>';
	
		if(!empty($vps['ipv6'])){
	
			echo '<div class="row mx-auto w-100 my-3">
				<div class="col-sm-12 p-3">
					<div class="row mx-auto w-100">
						<div class="col-sm-4">
							<span class="fhead">'.$l['newvs_ips6'].'</span>
						</div>
						<div class="col-sm-4">'.implode(', ', $vps['ipv6']).'</div>
					</div>
				</div>
			</div>';
	
		}
	
		echo '</div>';	
		
	}else{
		
			echo '<script language="javascript" type="text/javascript">
			
var actid = null;
var progress = 0;
var progress_update = "";
var timer = null;
var newvs_rootpass="";

function copy_password(){
	
	showalert("'.$l['copy_pass'].'<br>"+$("#newpass").val() ,"2");
	$("#alert-modal").on("hidden.bs.modal", function (e) {
		return false;
	});
};

$(document).ready(function(){
	progress_onload();
	
	$("#vpsid").on("change", function(){
		showtemplates();
		var formatprimary = $("#vpsid").find(":selected").attr("data-format-primary");
		if(formatprimary == 1){
			$("#format_primary_div").show();
		}
	});
	
	$("#reos").click(function(){
		showalert("'.$l['rebuild_data_lost_warn'].'" ,"3" ,function(confirm){
			if(confirm == false){
				return false;		
			}else{
				progress = 0;
				var params = $("#rebuildform").serialize();
				newvs_rootpass = $("#newpass").val();
				$.ajax({type: "POST",
					url: "'.$globals['index'].'jsnohf=1&act=rebuild",
					data:params+"&reos=1",
					success:function(response){
						if(!isNaN(response)){
							animate_task("'.$l['rebuild_task'].'");
							gettaskscount();
							actid = response;
							timer = setTimeout("get_progress(\'rebuild\')", 500);
							
						}else{
							gettaskscount();
							setTimeout(function(){
								var error_box = $(response).find("#error_box"); 
								showalert(error_box.html(),"1");
								$("#form-container").show();
								$("#progress-cont").hide();
								error_box.html("");
							} ,200);
						}
					}
				});
				
				$("#error_box").remove();
				$("#form-container").hide();
				$("#progress-cont").show();
				$("#pbar").html("'.$l['checking_data'].'" + " ( 0% ) ");
				window.scrollTo(0, 0);
				$("#progressbar").progressbar({value: 0});
				return false;
			}
		});
	});
});
function setpwd(size){
	var pwd = rand_pass(size);
	$("#newpass").val(pwd);
	$("#conf").val(pwd);
}

function ishvm(){
	
	/*var current_virt = "'.$virt.'";	
	//alert(current_virt)		
	if(current_virt != "xen" && current_virt != "xcp"){
		return false;
	}*/
	
	var vpsid = $_("vpsid").value;
	if(!vpsid){
		return false;
	}
	
	//var hvm = getAttributeByName($_("vps"+vpsid), "hvm");
	var hvm = $("#vps" + vpsid).attr("hvm");
	//alert(vpsid + " -- " + hvm)
	
	for(var i=0; i<$_("osid").options.length; i++){
		if($_("osid").options[i].value < 1) continue;
		
		if(getAttributeByName($_("osid").options[i], "hvm") == 1 && hvm == true){
			$_("osid").options[i].disabled = false;
		}else if(getAttributeByName($_("osid").options[i], "hvm") != 1 && hvm == false){
			$_("osid").options[i].style.display = "";
		}else{
			$_("osid").options[i].style.display = "none";
		}
	}
	return false;
};

var lang = Array();
lang["bad"] = "'.$l['bad'].'";
lang["good"] = "'.$l['good'].'";
lang["strong"] = "'.$l['strong'].'";
lang["short"] = "'.$l['short'].'";
lang["strength_indicator"] = "'.$l['strength_indicator'].'";

// Match the passwords
function pass_match(){
	var newpass = $("#newpass").val();
	var conf = $("#conf").val();
	if(newpass != conf){
		$("#message").text("'.$l['pass_match'].'");
		$("#message").css("color", "red");
	}else{
		$("#message").text("");
	}
}

// Show the templates
function showtemplates(){
	
	var vpsid= $("#vpsid").val();
	var Virt = $("#vps"+vpsid).attr("virt");
	
	$("#osid").select2("destroy");
	$("#osid").select2({
		width:"100%",
		templateResult: function(option) {
			var myOption = $("#osid").find("option[value=\"" + option.id + "\"]");
			if ((myOption.attr("virt") != "undefined") && (myOption.attr("virt") == Virt)) {
				return option.text;
			}
		}
	});
}

addonload("check_pass_strength();");					
</script>
		 
	<form id="rebuildform" accept-charset="'.$globals['charset'].'" action="" method="post" name="rebuild" class="form-horizontal">
	 <div id="form-container">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['vs_server'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_server'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<select id="server-select" class="server-select">';	
				foreach($servers as $k => $v) {
					echo '<option value="'.$k.'" data-icon="'.$theme['images'].'admin/'.$v['virt'].'_28.png" '.($k == $globals['server'] ? 'selected' : '').'><span><img src="'.$theme['images'].'admin/'.$v['virt'].'_28.png" class="mb-1"/>'.$v['server_name'].' ('.$v['ip'].')'.($v['locked'] == 0 ? '' : ' (Locked)').'</span></option>';
				}
			
				echo '</select>
			</div>
			<div class="col-sm-4">';
				if(count($servers[$globals['server']]['virts']) < 1){
					echo '<br><br>
					<label class="control-label">'.$l['vs_virt'].'<a class="info" data-placement="right" tooltip="'.$l['vs_virt_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					<select class="custom-select" name="virt" onchange="loadvirt(this.value)">';
						foreach($servers[$globals['server']]['virts'] as $k => $v){		 
							echo '<option value="'.$v.'" '.(REQval('virt') == $v ? 'selected="selected"' : '').'>'.$l['virt_'.$v].'</option>';
						}
					
					echo '</select>';	
				}
			echo'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['vps'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['vs_user_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4" id="td_vpsid">
				<div class="">
					<select name="vpsid" id="vpsid" class="custom-select virt-select">
						<option value="0" '.(POSTval('vpsid')== 0 ? 'selected="selected"' :($vps['vps_name'] == 0 ? 'selected="selected"' : '')).'>'.$l['vps_id'].'</option>';	
							
					foreach($vpses as $k => $v){
						$format_primary = $kernel->features('format_primary', $v['virt']);
						$format_primary = 'data-format-primary="'.(!empty($format_primary) ? 1 : 0).'"';
						echo '<option value="'.$k.'" '.(POSTval('vpsid') == $k ? 'selected="selected"' : ($vps['vpsid'] == $k ? 'selected="selected"' : '')).' hvm="'.$v['hvm'].'" id="vps'.$k.'" virt="'.$v['virt'].(!empty($v['hvm']) ? 'hvm' : '').'" '.$format_primary.'>'.$v['vps_name'].'  -  '.$v['hostname'].'</option>';
												
					
					}
					
				echo '</select>
				</div>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['vsos'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['vsos_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4 server-select-lg">
				<select class="custom-select virt-select" id="osid" name="osid">
					<option value="0" '.(POSTval('osid')== 0 ?  'selected="selected"' :($vps['osid']== 0 ? 'selected="selected"' : '')).'>'.$l['select_os'].'</option>';
					if(!empty($ostemplates)){
						foreach($ostemplates as $k => $v){
							// Does this server support this $_virt ?
							if(server_virt($globals['server'], $v['type']) != $v['type']){
								continue;
							}							
							echo '<option value="'.$k.'" '.(POSTval('osid') == $k ? 'selected="selected"' : ($vps['osid'] == $k ? 'selected="selected"' : '')).' '.(!empty($v['hvm']) ? 'hvm="1"' : '').' virt="'.$v['type'].(!empty($v['hvm']) ? 'hvm' : '').'">'.(!empty($v['hvm']) ? 'HVM - ' : '').''.$v['name'].is_custom_os($k).'</option>';
						}
					}
			echo'</select>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['new_pass'].'&nbsp;</label>
			</div>
			<div class="col-sm-4">
				<div class="input-group ">
				<input type="password" class="form-control" name="newpass" onkeyup="check_pass_strength(this.id);" id="newpass" size="30" value="" />
				  <div class="input-group-append">
					<a href="javascript:void(0);" onclick="setpwd(12);check_pass_strength(\'newpass\');pass_match();copy_password();return false;" title="'.$l['randpass'].'" class="btn-primary rounded-right"><i class="fas fa-key p-2"></i></a>
				  </div>
				</div>
				<div id="newpass_pass-strength-result" class="w-100">'.$l['strength_indicator'].'</div>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['retype_pass'].'&nbsp;</label>
			</div>
			<div class="col-sm-4">
				<input type="password" class="form-control" onblur="pass_match();" name="conf" id="conf" size="30" value="" /><div id="message"></div>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['recipe'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['recipe_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4 server-select-lg">
				<select class="form-control virt-select" name="recipe[]" id="recipe" multiple="multiple">
					<option value="0" '.POSTselect('recipe', 'none').'>None</option>';
					
					foreach($recipes as $k => $v){
						echo '<option value="'.$k.'" '.POSTselect('recipe', $k).'>'.$v['name'].'</option>';
					}
					
				echo '</select>
			</div>
		</div>';
		
			echo '
			<div class="row mx-auto w-100 my-3 format_primary_div" id="format_primary_div" style="display:none">
				<div class="col-4">
					<label class="control-label">'.$l['format_primary'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['format_primary_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-4">
					'.get_checkbox('format_primary', '', 'format_primary').'
				</div>
			</div>';
				
		echo '
		<div class="row mx-auto w-100 my-3">
			<div class="col-4">
				<label class="control-label">'.$l['eu_send_rebuild_email'].'&nbsp;
					<a class="info" data-placement="right" tooltip="'.$l['eu_send_rebuild_email_exp'].'">
						<i class="fas text-primary fa-info-circle"></i>
					</a>
				</label>
			</div>
			<div class="col-4">
				'.get_checkbox('eu_send_rebuild_email', '', 'eu_send_rebuild_email', array('chk_it' => 1, 'val' => 1)).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['add_ssh_key'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['add_ssh_key_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<textarea class="form-control font-monospace w-100" name="sshkey" rows="8">'.POSTval('sshkey', '').'</textarea>
			</div>
		</div>
		<br /><br />
		
		<center><input type="button" class="go_btn" name="reos"  id="reos" value="'.$l['reinstall'].'"/></center>
		<br /><br />';
		echo '<div class="notebox" align="left"><b>'.$l['note'].' : </b> &nbsp; '.$l['format_primary_warn'].'</div>
		</div>
		</form>';
	}

}// End of Server Offline if	


echo '<div id="progress_onload"></div></div>';

softfooter();

}

?>